Bug 979824 - Compress tarball with xz
Compress tarball with xz
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 17:09 EDT by Ville Skyttä
Modified: 2013-07-03 10:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 10:28:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-06-30 17:09:53 EDT
Compressing the 2.3.10 tarball with xz would save about 26 MB, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336

diff --git a/java-1.7.0-openjdk.spec b/java-1.7.0-openjdk.spec
index ad0a3e3..e90f339 100644
--- a/java-1.7.0-openjdk.spec
+++ b/java-1.7.0-openjdk.spec
@@ -169,2 +169,2 @@ URL:      http://openjdk.java.net/
-# tar czf openjdk-icedtea-%{icedtea_version}.tar.gz openjdk
-Source0:  openjdk-icedtea-%{icedtea_version}.tar.gz
+# tar cJf openjdk-icedtea-%{icedtea_version}.tar.xz openjdk
+Source0:  openjdk-icedtea-%{icedtea_version}.tar.xz


More savings would be available from the 2.1.9 tarball but there's no script to generate it nor links to download it from.
Comment 1 jiri vanek 2013-07-01 05:43:53 EDT
This is god idea. Thank you, it will be proposed.

Note You need to log in before you can comment on or make changes to this bug.